Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2305 (closed defect: fixed)

Opened 9 years ago

Last modified 8 years ago

Atheros 5007EG - cannot compile

Reported by: anonymous Assigned to:
Priority: major Milestone:
Component: madwifi: other Version:
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

/root/madwifi-hal-0.10.5.6-r4031-20090529/net80211/ieee80211_skb.c: In function 'skb_print_message':
/root/madwifi-hal-0.10.5.6-r4031-20090529/net80211/ieee80211_skb.c:132: error: the frame size of 1056 bytes is larger than 1024 bytes

System is

Linux 2.6.29.4-167.fc11.i686.PAE i686

Any ideas?

Change History

(follow-up: ↓ 2 ) 06/12/09 18:53:39 changed by mrenzmann

  • priority changed from critical to major.
  • description changed.

(in reply to: ↑ 1 ) 06/24/09 18:00:19 changed by anonymous

Replying to mrenzmann: I am also having the same problem, someone found a solution?

06/26/09 20:02:06 changed by anonymous

same too, please, provide us a solution. I don't have wireless in my laptop due to Fedora 11 is not longer including madwifi in its repositories.

(follow-up: ↓ 5 ) 07/03/09 15:37:20 changed by cnh347@motorola.com

I'm also having compile problems w/ madwifi. I'm using Ubuntu Version 8.10 and get the following error when attepting to compile it:

root@thinkpad-laptop:/home/thinkpad/madwifi-0.9.4# make Checking requirements... ok. Checking kernel configuration... ok. make -C /lib/modules/2.6.27-7-generic/build SUBDIRS=/home/thinkpad/madwifi-0.9.4 modules make[1]: Entering directory `/usr/src/linux-headers-2.6.27-7-generic'

CC [M] /home/thinkpad/madwifi-0.9.4/ath/if_ath.o CC [M] /home/thinkpad/madwifi-0.9.4/ath/if_ath_pci.o LD [M] /home/thinkpad/madwifi-0.9.4/ath/ath_pci.o CC [M] /home/thinkpad/madwifi-0.9.4/ath_hal/ah_os.o HOSTCC /home/thinkpad/madwifi-0.9.4/ath_hal/uudecode UUDECODE /home/thinkpad/madwifi-0.9.4/ath_hal/i386-elf.hal.o LD [M] /home/thinkpad/madwifi-0.9.4/ath_hal/ath_hal.o CC [M] /home/thinkpad/madwifi-0.9.4/ath_rate/amrr/amrr.o LD [M] /home/thinkpad/madwifi-0.9.4/ath_rate/amrr/ath_rate_amrr.o CC [M] /home/thinkpad/madwifi-0.9.4/ath_rate/minstrel/minstrel.o LD [M] /home/thinkpad/madwifi-0.9.4/ath_rate/minstrel/ath_rate_minstrel.o CC [M] /home/thinkpad/madwifi-0.9.4/ath_rate/onoe/onoe.o LD [M] /home/thinkpad/madwifi-0.9.4/ath_rate/onoe/ath_rate_onoe.o CC [M] /home/thinkpad/madwifi-0.9.4/ath_rate/sample/sample.o LD [M] /home/thinkpad/madwifi-0.9.4/ath_rate/sample/ath_rate_sample.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/if_media.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_beacon.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_crypto.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_crypto_none.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_input.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_node.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_output.o CC [M] /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_power.o

/home/thinkpad/madwifi-0.9.4/net80211/ieee80211_power.c: In function 'ieee80211_pwrsave': /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_power.c:240: error: implicit declaration of function 'skb_append' make[3]: *** /home/thinkpad/madwifi-0.9.4/net80211/ieee80211_power.o Error 1 make[2]: *** /home/thinkpad/madwifi-0.9.4/net80211 Error 2 make[1]: *** [_module_/home/thinkpad/madwifi-0.9.4] Error 2 make[1]: Leaving directory `/usr/src/linux-headers-2.6.27-7-generic' make: *** [modules] Error 2 root@thinkpad-laptop:/home/thinkpad/madwifi-0.9.4#

Regards,

(in reply to: ↑ 4 ) 07/05/09 13:05:27 changed by mrenzmann

Replying to cnh347@motorola.com:

I'm also having compile problems w/ madwifi.

v0.9.4 is not compatible with kernel 2.6.27 (which is a different issue than the one reported in this ticket, by the way). These issues have been fixed in the madwifi-0.9.4 branch; to get a copy, either use Subversion or download the latest snapshot of that branch from the snapshot archive.

Regarding the original problem: probably the compatibility fixes have not been ported to the madwifi-0.10.5.6 branch. You could try trunk instead.

07/22/09 20:30:44 changed by anonymous

I have problems with the driver ath5k, I don't know why the distros include madwifi directly....

09/16/09 04:53:03 changed by proski

  • status changed from new to closed.
  • resolution set to fixed.

The fix has been ported to madwifi-hal-0.10.5.6 in r4068. However, madwifi-hal-0.10.5.6 is not actively maintained, and there is no promise that madwifi-hal-0.10.5.6 won't be removed from the repository.